package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.gree.mall.manager.bean.offline.WebsitBean;
import com.gree.mall.manager.bean.offline.ZoneBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomOfflineMapper {
    @SqlParser(filter = true)
    List<ZoneBean> queryZoneList(@Param("adminUserId")String adminUserId);
    @SqlParser(filter = true)
    List<WebsitBean> queryWebsitList(@Param("adminUserId")String adminUserId);
     @SqlParser(filter = true)
    List<ZoneBean> queryZoneAllList();
    @SqlParser(filter = true)
    List<WebsitBean> queryWebsitAllList();

}
